
%global meadversion 1.0.1
%global namedversion 1.0.1.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .2
%global serial 8

%bcond_without mead

%global alternativespriority 010100
%global apiname jms
%global apiversion 1.1
%global apiversionu 1_1
%global apigroupid javax.jms
%global apigroupids javax/jms
%global apiartifactid %{apiname}-api

%define maven_version 1.0.1.Final-redhat-2

Name:           jboss-%{apiname}-api_%{apiversion}_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) Message Service (JMS) %{apiversion} API
Group:          Development/Java

%if %with mead
Source100: org.jboss.spec.javax.jms-jboss-jms-api_1.1_spec-1.0.1.Final-redhat-2-sources.zip
Source101: org.jboss.spec.javax.jms-jboss-jms-api_1.1_spec-1.0.1.Final-redhat-2-patches.zip
Source102: jboss-jms-api_1.1_spec-1.0.1.Final-redhat-2.jar
Source103: jboss-jms-api_1.1_spec-1.0.1.Final-redhat-2-sources.jar
Source104: jboss-jms-api_1.1_spec-1.0.1.Final-redhat-2-javadoc.jar
Source105: jboss-jms-api_1.1_spec-1.0.1.Final-redhat-2.pom
%endif

License:        CDDL or LGPLv2+
URL:            http://fisheye.jboss.org/browse/JBossAS/projects/specs/tags/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}
Obsoletes:      jboss-jms-1.1-api <= 0:5.0.2
Provides:       jboss-jms-1.1-api = 1:%{version}-%{release}
Provides:       %{apiname} = 0:%{apiversion}
Provides:       %{apiname}_%{apiversionu}_api
Provides:       %{apiname}_api = 0:%{apiversion}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-specs-parent >= 1.0.0-0.1.Beta2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
%{summary}.

%prep
%setup -q -n jboss-jms-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/ && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# jar alternatives
/bin/touch %{buildroot}%{_javadir}/%{apiname}_api.jar
/bin/touch %{buildroot}%{_javadir}/%{apiname}_%{apiversionu}_api.jar

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom

# pom alternatives
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{apiname}_api.pom

# depmaps
%add_to_maven_depmap org.jboss.spec.%{apigroupid} jboss-%{apiname}-api_%{apiversion}_spec %{namedversion} JPP jboss-%{apiname}-api_%{apiversion}_spec
%add_to_maven_depmap %{apigroupid} %{apiartifactid} %{apiversion} JPP %{apiname}_%{apiversionu}_api

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

# javadoc alternatives
/bin/touch %{buildroot}%{_javadocdir}/%{apiname}_%{apiversionu}_api
/bin/touch %{buildroot}%{_javadocdir}/%{apiname}_api

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_api.jar %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_%{apiversionu}_api.jar %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --remove %{apiname}_api_pom %{_datadir}/maven2/poms/JPP.%{name}-jboss-%{apiname}-api_%{apiversion}_spec.pom || :
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{apiname}_api.pom %{apiname}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api_pom %{_datadir}/maven2/poms/JPP.%{name}-jboss-%{apiname}-api_%{apiversion}_spec.pom || :
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom %{apiname}_%{apiversionu}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%update_maven_depmap

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
fi

%postun
%update_maven_depmap

%post javadoc
%{_sbindir}/update-alternatives --install %{_javadocdir}/%{apiname}_api %{apiname}_api_javadoc %{_javadocdir}/%{name} %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadocdir}/%{apiname}_%{apiversionu}_api %{apiname}_%{apiversionu}_api_javadoc %{_javadocdir}/%{name} %{alternativespriority}

%preun javadoc
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove %{apiname}_api_javadoc %{_javadocdir}/%{name}
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api_javadoc %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}.jar
%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec-sources.jar
%ghost %{_javadir}/%{apiname}_%{apiversionu}_api.jar
%ghost %{_javadir}/%{apiname}_api.jar
%{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
%ghost %{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom
%ghost %{_mavenpomdir}/JPP-%{apiname}_api.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%ghost %{_javadocdir}/%{apiname}_api
%ghost %{_javadocdir}/%{apiname}_%{apiversionu}_api

%changelog
* Thu Apr 24 2014 David Walluck <dwalluck@redhat.com> - 1.0.1-8.Final_redhat_2.2
- remove old alternatives links

* Thu Apr 24 2014 David Walluck <dwalluck@redhat.com> - 1.0.1-8.Final_redhat_2.2
- remove bad alternatives left by previous installs

* Thu Apr 24 2014 David Walluck <dwalluck@redhat.com> - 1.0.1-8.Final_redhat_2.2
- remove bad alternatives left by previous installs

* Thu Nov 21 2013 David Walluck <dwalluck@redhat.com> 0:1.0.1-7
- fix POM file name
- add doc LICENSE README

* Thu Jan 10 2013 David Walluck <dwalluck@redhat.com> 0:1.0.1-6
- Provides: jms

* Thu Jan 10 2013 David Walluck <dwalluck@redhat.com> 0:1.0.1-5
- Obsoletes/Provides: jboss-jms-1.1-api
- fix Release

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-4.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.1-3.Final_redhat_2
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-2.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-2.Final_redhat_1
- Rebuild using cache signing

* Thu May 31 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.0.1-2.Final_redhat_1
- Remove javadoc.jar from the main package

* Wed May 02 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Mon Mar 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.1-2.Final_redhat_1.3
- Remove define _jarsign_opts

* Mon Mar 19 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.1-2.Final_redhat_1.2
- Upgrade to new wrapper
- Fix jars' installation path

* Wed Jan 18 2012 David Walluck <dwalluck@redhat.com> 0:1.1-1
- first Brew build

* Wed Jan 18 2012 David Walluck <dwalluck@redhat.com> 0:1.1-1
- release
